> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Tier Definition

> A `GET` to the `/tiers/definitions/{tierDefinitionId}` endpoint allows your application to retrieve a specific Tier Definition.



## OpenAPI

````yaml get /v3/tiers/definitions/{definition}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/tiers/definitions/{definition}:
    get:
      tags:
        - Tier Definition
      summary: Read Tier Definition
      description: >-
        A `GET` to the `/tiers/definitions/{tierDefinitionId}` endpoint allows
        your application to retrieve a specific Tier Definition.
      operationId: tiers.definitions.show
      parameters:
        - name: definition
          in: path
          required: true
          description: The definition ID
          schema:
            type: integer
      responses:
        '200':
          description: '`TierDefinition`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TierDefinition'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    TierDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        is_floor:
          type: string
        value_min:
          type: integer
        value_maintain:
          type:
            - integer
            - 'null'
        is_assignable:
          type: boolean
        internal_notes:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        long_description:
          type:
            - string
            - 'null'
        terms_conditions:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        disable_credit:
          type:
            - boolean
            - 'null'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        meta:
          type:
            - array
            - 'null'
          items: {}
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
            is_default:
              type:
                - boolean
                - 'null'
            currency:
              type:
                - string
                - 'null'
            created_at:
              type: string
            updated_at:
              type: string
          required:
            - id
            - name
            - handle
            - is_default
            - currency
            - created_at
            - updated_at
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - is_floor
        - value_min
        - value_maintain
        - is_assignable
        - internal_notes
        - description
        - short_description
        - long_description
        - terms_conditions
        - icon
        - image_url
        - earn_instructions
        - disable_credit
        - tags
        - meta
        - region_id
        - region
        - created_at
        - updated_at
      title: TierDefinition
    Tag:
      type: string
      title: Tag
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````